## liblightify 0~git20151205

=== debian/changelog ===
liblightify (0~git20151205-1) unstable; urgency=medium

  * Initial release (Closes: #804621)

 -- Tobias Frost <tobi@debian.org>  Sat, 05 Dec 2015 20:48:32 +0100
