=== debian/control ===
Source: liblightify
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: autoconf-archive,
               check (>= 0.10.0-3~),
               debhelper (>= 9),
               dh-autoreconf,
               pkg-config
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/coldtobi/liblightify
VCS-Git: http://anonscm.debian.org/git/collab-maint/liblightify.git
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/liblightify.git

Package: liblightify-dev
Section: libdevel
Architecture: any
Depends: liblightify0 (= ${binary:Version}),
         ${misc:Depends}
Description: library to control OSRAM Lightify (development files)
 Lightify the OSRAM's product line of inteligent light sources, controlled via
 the Lightify gateway, acting as a bridge for ZigBee Light Link protocol.
 .
 This C library offers a API to directly talk to the Lightify gateway via TCP/IP
 and control the attached lamps.
 .
 The library supports control functions -- like setting the color, color
 temperature, dim level and on/off control -- and management functions like
 .
 Note: A ZigBee is standardized, all ZigBee LightLink compatible products
 should work with this library, when controlled using the OSRAM Lightify
 gateway.
 .
 This package contains the development files.

Package: liblightify0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: library to control OSRAM Lightify
 Lightify the OSRAM's product line of inteligent light sources, controlled via
 the Lightify gateway, acting as a bridge for ZigBee Light Link protocol.
 .
 This C library offers a API to directly talk to the Lightify gateway via TCP/IP
 and directly control the attached lamps.
 .
 The library supports control functions -- like setting the color, color
 temperature, dim level and on/off control -- and management functions like
 .
 Note: A ZigBee is standardized, all ZigBee LightLink compatible products
 should work with this library, when controlled using the OSRAM Lightify
 gateway.

Package: lightify-util
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Commandline utility to control OSRAM Lightify
 Lightify the OSRAM's product line of inteligent light sources, controlled via
 the Lightify gateway, acting as a bridge for ZigBee Light Link protocol.
 .
 This package contains an utility to control lamps via the shell.

Package: liblightify-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library to control OSRAM Lightify -- API documentation
 Lightify the OSRAM's product line of inteligent light sources, controlled via
 the Lightify gateway, acting as a bridge for ZigBee Light Link protocol.
 .
 This C library offers a API to directly talk to the Lightify gateway via TCP/IP
 and control the attached lamps.
 .
 The library supports control functions -- like setting the color, color
 temperature, dim level and on/off control -- and management functions like
 .
 Note: A ZigBee is standardized, all ZigBee LightLink compatible products
 should work with this library, when controlled using the OSRAM Lightify
 gateway.
 .
 This package contains the doxygen generated API documentation.
