## liblightify 0~git20160607

=== debian/changelog ===
liblightify (0~git20160607-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Add get-orig-source to d/rules and explain its usage in d/README.Source.
  * Build docs explictily in d/rules when doing a arch-indep build.

 -- Tobias Frost <tobi@debian.org>  Thu, 30 Jun 2016 22:25:05 +0200
