## liblightify 0~git20160911

=== debian/changelog ===
liblightify (0~git20160911-1) unstable; urgency=medium

  * New upstream git snaphot
    - fixing also the FTBFS with recent autoconf-archive (Closes: #837020)
    - this requires a versioned B-D on a recent enough autoconf-archive.
  * Bump S-V to 3.9.8 -- no changes required
  * Explicitly enable hardening in d/rules
  * Use https link also for VCS-Git

 -- Tobias Frost <tobi@debian.org>  Sun, 11 Sep 2016 12:32:47 +0200
