=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: liblightify
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: autoconf-archive,
+Build-Depends: autoconf-archive (>= 20160320 ),
                check (>= 0.10.0-3~),
                debhelper (>= 9),
                dh-autoreconf,
                pkg-config
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/coldtobi/liblightify
-VCS-Git: http://anonscm.debian.org/git/collab-maint/liblightify.git
+VCS-Git: https://anonscm.debian.org/git/collab-maint/liblightify.git
 VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/liblightify.git
 
 Package: liblightify-dev
