=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/liblightify-$1\.tar\.gz/ \
  https://github.com/coldtobi/liblightify/tags .*/v?(\d\S*)\.tar\.gz
